#
# spec file for package bijiben
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define with_zeitgeist 0

Name:           bijiben
Version:        3.26.0
Release:        0
Summary:        Note editor for GNOME
License:        GPL-3.0+ and CC-BY-SA-3.0
Group:          Productivity/Text/Editors
Url:            https://live.gnome.org/Bijiben
Source:         http://download.gnome.org/sources/bijiben/3.26/%{name}-%{version}.tar.xz
BuildRequires:  intltool >= 0.50.1
BuildRequires:  libtool
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(goa-1.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.11.4
BuildRequires:  pkgconfig(libecal-1.2)
BuildRequires:  pkgconfig(libecal-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(tracker-sparql-2.0)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.10.0
%if %{with_zeitgeist}
BuildRequires:  pkgconfig(zeitgeist-2.0)
%endif
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bijiben is a note editor designed to remain simple to use.

%package -n gnome-shell-search-provider-%{name}
Summary:        Note editor for GNOME -- Search Provider for GNOME Shell
License:        GPL-3.0+
Group:          Productivity/Office/Other
Requires:       %{name} = %{version}
Requires:       gnome-shell
Supplements:    packageand(%{name}:gnome-shell)

%description -n gnome-shell-search-provider-%{name}
Bijiben is a note editor designed to remain simple to use.

This package contains a search provider to enable GNOME Shell to get
search results from documents.

%lang_package
%prep
%setup -q
sed -i 's:tracker-sparql-1.0:tracker-sparql-2.0:g' configure.ac

%build
autoreconf -fiv
%configure \
    --disable-static \
    --disable-update-mimedb \
    %{nil}
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete -print
%suse_update_desktop_file org.gnome.bijiben DesktopUtility
%find_lang %{name} %{?no_lang_C}

%files
%defattr(-,root,root)
%doc COPYING
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.bijiben.desktop
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.bijiben*
%{_datadir}/mime/packages/org.gnome.bijiben.xml
%dir %{_datadir}/appdata/
%{_datadir}/appdata/org.gnome.bijiben.appdata.xml

%files lang -f %{name}.lang

%files -n gnome-shell-search-provider-%{name}
%defattr(-,root,root)
%{_datadir}/dbus-1/services/org.gnome.bijiben.SearchProvider.service
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.bijiben-search-provider.ini
%{_libexecdir}/%{name}-shell-search-provider

%changelog
